For clean Markdown of any page, append .md to the page URL. For a complete documentation index, see https://docs.synthflow.ai/api-reference/platform-api/simulations/llms.txt. For full documentation content, see https://docs.synthflow.ai/api-reference/platform-api/simulations/llms-full.txt.

# Create a simulation scenario

POST https://api.synthflow.ai/v2/simulation_scenarios
Content-Type: application/json

Create a new simulation scenario. Scenarios are templates used when generating test cases to ensure coverage of specific situations.

Reference: https://docs.synthflow.ai/api-reference/platform-api/simulations/create-simulation-scenario

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: Synthflow APIs
  version: 1.0.0
paths:
  /simulation_scenarios:
    post:
      operationId: create-simulation-scenario
      summary: Create a simulation scenario
      description: >-
        Create a new simulation scenario. Scenarios are templates used when
        generating test cases to ensure coverage of specific situations.
      tags:
        - ''
      parameters:
        - name: Authorization
          in: header
          description: Bearer authentication
          required: true
          schema:
            type: string
      responses:
        '200':
          description: '200'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/create-simulation-scenario_Response_200'
        '400':
          description: '400'
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/Create-simulation-scenarioRequestBadRequestError
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SimulationScenarioCreateIn'
servers:
  - url: https://api.synthflow.ai/v2
  - url: https://api.us.synthflow.ai/v2
components:
  schemas:
    SimulationScenarioCreateIn:
      type: object
      properties:
        name:
          type: string
          description: Name of the simulation scenario template
        description:
          type: string
          description: >-
            Description of what the scenario template should verify when
            generating test cases
      required:
        - name
        - description
      title: SimulationScenarioCreateIn
    status:
      type: string
      description: Whether the request was successful.
      title: status
    SimulationScenarioReadOut:
      type: object
      properties:
        id:
          type: string
          format: uuid
          description: Unique identifier for the simulation scenario
        name:
          type: string
          description: Name of the simulation scenario template
        description:
          type: string
          description: >-
            Description of what the scenario template should verify when
            generating test cases
        workspace_id:
          type: string
          description: Workspace ID this simulation scenario belongs to
        created_at:
          type: string
          format: date-time
          description: When the simulation scenario was created
        updated_at:
          type: string
          format: date-time
          description: When the simulation scenario was last updated
      title: SimulationScenarioReadOut
    create-simulation-scenario_Response_200:
      type: object
      properties:
        status:
          $ref: '#/components/schemas/status'
        response:
          $ref: '#/components/schemas/SimulationScenarioReadOut'
      title: create-simulation-scenario_Response_200
    Create-simulation-scenarioRequestBadRequestError:
      type: object
      properties: {}
      title: Create-simulation-scenarioRequestBadRequestError
  securitySchemes:
    sec0:
      type: http
      scheme: bearer

```

## SDK Code Examples

```python
import requests

url = "https://api.synthflow.ai/v2/simulation_scenarios"

payload = {
    "name": "Verify customer satisfaction",
    "description": "Ensure the agent maintains a positive tone and resolves customer issues"
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.synthflow.ai/v2/simulation_scenarios"

	payload := strings.NewReader("{\n  \"name\": \"Verify customer satisfaction\",\n  \"description\": \"Ensure the agent maintains a positive tone and resolves customer issues\"\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.synthflow.ai/v2/simulation_scenarios")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"name\": \"Verify customer satisfaction\",\n  \"description\": \"Ensure the agent maintains a positive tone and resolves customer issues\"\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.synthflow.ai/v2/simulation_scenarios")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"name\": \"Verify customer satisfaction\",\n  \"description\": \"Ensure the agent maintains a positive tone and resolves customer issues\"\n}")
  .asString();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.synthflow.ai/v2/simulation_scenarios");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"name\": \"Verify customer satisfaction\",\n  \"description\": \"Ensure the agent maintains a positive tone and resolves customer issues\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [
  "name": "Verify customer satisfaction",
  "description": "Ensure the agent maintains a positive tone and resolves customer issues"
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.synthflow.ai/v2/simulation_scenarios")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```